package com.ss.android.ugc.aweme.compliance.api.services.monitor;

import X.49y;
import com.bytedance.covode.number.Covode;
import com.bytedance.helios.api.config.AbstractSettingsModel;
import com.google.gson.m;
import com.ss.android.ugc.aweme.ruler_adapter_api.RuleEngineSettingsModel;

public interface IComplianceMonitorAdapter {
    static {
        Covode.recordClassIndex(60549);
    }

    void LIZ(49y r1);

    boolean LIZ();

    String LIZIZ();

    AbstractSettingsModel LIZJ();

    RuleEngineSettingsModel LIZLLL();

    m LJ();

    m LJFF();
}
